// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_FClassProperty.h"
#include "UObject/Class.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_FClassProperty::SCW_FClassProperty(FClassProperty* InClassProperty) : SCW_FObjectProperty(InClassProperty), ClassProperty(InClassProperty)
{

}

ISCW_UClassPtr SCW_FClassProperty::GetMetaClass() const
{
	return FSourcifyCoreUEWrapper::Get().Wrap(*ClassProperty->MetaClass.Get());
}

FClassProperty* SCW_FClassProperty::ToFClassProperty() const
{
	return ClassProperty;
}
